Application: gvSIG desktop - gvSIG bugs #5748
No presenta elementos la herramienta de "abrir paleta desde capa".
08/02/2023 07:41 PM - Joaquin del Cerro Murciano
Category:
Severity: Minor Add-on version:
Description

Cuando tratamos de mostrar una paleta desde capa, presenta en el log:

WARN 58479 [SpatialCacheRefresh_ URBSIGNAGE_CATALOGO_HORIZONTAL] (SpatialCache.java:221) - Can't refresh
spatial cache of 'URBSIGNAGE_CATALOGO_HORIZONTAL'
java.lang.NullPointerException
at org.gvsig.fmap.dal.feature.impl.featureset.Filteredlterator.hnasNext(Filteredlterator.java:120)
at org.gvsig.fmap.dal.feature.impl.featureset.Filteredlterator.next(Filteredlterator.java:153)
at org.gvsig.fmap.dal.feature.impl.featureset. DefaultFeatureSet$Limitlterator.next(DefaultFeatureSet.java:525)
at org.gvsig.fmap.dal.feature.impl.featureset.DefaultFeatureSet.calculateSize(DefaultFeatureSet.java:270)
at org.gvsig.fmap.dal.feature.impl.featureset.DefaultFeatureSet.getSize(DefaultFeatureSet.java:241)
at org.gvsig.fmap.dal.feature.impl.featureset.AbstractFeatureSet.size64(AbstractFeatureSet.java:217)
at org.gvsig.fmap.mapcontext.layers.SpatialCache$1.run(SpatialCache.java:208)
Caused by: org.gvsig.fmap.dal.exception.DataEvaluatorException: Evaluator exception
at org.gvsig.fmap.dal.feature.impl.featureset.Filteredlterator.match(Filteredlterator.java:145)
at org.gvsig.fmap.dal.feature.impl.featureset.Filteredlterator.doNext(Filteredlterator.java:95)
at org.gvsig.fmap.dal.feature.impl.featureset.Filteredlterator.hasNext(Filteredlterator.java:118)
... 6 more
Caused by: java.lang.NullPointerException
at org.gvsig.fmap.mapcontext.layers.vectorial.ContainsEnvelopeEvaluator.evaluate(ContainsEnvelopeEvaluator.java:79)
at org.gvsig.fmap.dal.feature.impl.featureset.Filteredlterator.match(Filteredlterator.java:142)
... 8 more

Y luego en la lista de elementos solo muestra "??7?".

Associated revisions

Revision 47430 - 08/02/2023 08:24 PM - Joaquin del Cerro Murciano
refs #5748, modificado el spatial-cache para que no haga nada si no le llega un envelope.

Modificado GeometriesPalette para que inicialice la proyeccion con la de la vista actual y que GeometriesPalettePanel que no falle si el usuario no ha
configurado la label.
History

#1 - 08/02/2023 08:25 PM - Joaquin del Cerro Murciano

- Status changed from New to Fixed

#2 - 08/03/2023 02:18 PM - Alvaro Anguix
- Status changed from Fixed to Closed
